// JavaScript Document
$(function () {
	
    $(".commodity_list li .down").click(function () {  //商品评价
	  if($(this).next(".commodity_publish").is(":hidden")){
        $(this).next(".commodity_publish").show();
        return false;
	  }else{
		$(this).next(".commodity_publish").hide();
        return false;  
		  }
    })


    $(".professor_boder td").css("border-bottom", "none");


    var time       //我的好友  我的专家
    $(".friend_list li .friend_attention").hover(function () {
        var $thi = $(this).children(".friend_cancel");
        time = setTimeout(function () {
            $thi.slideDown(150)
        }, 500);
    }, function () {
        clearTimeout(time);
        $(this).children(".friend_cancel").slideUp(150);
    })


    var count = 1;       //购物车
    //$(".shop_list_text").blur(function () {
    //
    //    var _thisp = $(this);
    //    count = _thisp.val();
    //
    //    var cartid = $(this).parent().next().next().next().val();
    //    var rectype = $(this).parent().next().next().next().next().val();
    //    var pid = $(this).parent().next().next().next().next().next().val();
    //
    //    _thisp.val(count);
    //    ChangeTotal(cartid, count,rectype,_thisp,pid);
    //    return false;
    //})

    $(".shop_list_p").click(function () {
        var _thisp = $(this).parents(".shop_list_amount").find(".shop_list_text");
        count = _thisp.val();
        var cartid = $(this).parent().nextAll('.cart_id')[0].value;
        var rectype = $(this).parent().nextAll('.rec_type')[0].value;
        var pid = $(this).parent().nextAll('.pid')[0].value;
        count++;
        //if (count >= 999) {
        //    count = 0;
        //}
        _thisp.val(count);
        ChangeTotal(cartid, count,rectype,_thisp,pid);
        return false;
    })
    $(".shop_list_s").click(function () {
        var _thisp = $(this).parents(".shop_list_amount").find(".shop_list_text");
        count = _thisp.val();
        count--;
        var cartid = $(this).parent().nextAll('.cart_id')[0].value;
        var rectype = $(this).parent().nextAll('.rec_type')[0].value;
        var pid = $(this).parent().nextAll('.pid')[0].value;
        if (count <= 1) {
            count = 1;
        }
        _thisp.val(count);
        ChangeTotal(cartid, count,rectype,_thisp,pid);
        return false;
    })




    $(".bond_list li ").click(function () {    //我的代金劵
        if ($(this).find(".img_cut").css("right") != "-36px") {
            $(this).removeClass("bond_bj");
            $(this).find(".img_cut").css("right", -36);
        } else {
            $(this).addClass("bond_bj");
            $(this).find(".img_cut").css("right", 0);
        }
        return false;
    })




    $(".expert_nav ul li:eq(0)").addClass("expert_bj");
    $(".expert_nav ul li").hover(function () {      //我的专家切换
        $(this).addClass("expert_bj").siblings().removeClass("expert_bj");
        $(".expert_ph .expert_content").eq($(this).index()).show().siblings().hide();
    }, function () {
    })




    var time       //我的专家取消关注下拉框
    $(".experts li .friend_attention").hover(function () {
        var $this = $(this).children(".friend_cancel");
        time = setTimeout(function () {
            $this.slideDown(150);
        }, 600)
    }, function () {
        clearTimeout(time);
        $(this).children(".friend_cancel").slideUp(150);
    })




    $(".login_bj").width($(window).width());     //我的专家弹出窗
    $(".login_bj").height($("html,body").height());
    $(".login_bj").click(function () {
        $(this).fadeOut(250);
        $(".m_expert").slideUp(200);
    })
    $(".expert_nav_x").click(function () {
        $(this).fadeOut(250);
        $(".login_bj").fadeOut(250);
        $(".m_expert").slideUp(200);
    })
    $(".experts_more").click(function () {
        $(".login_bj").fadeIn(180);
        $(".expert_nav_x").fadeIn(180);
        $(".m_expert").slideDown(200);
        return false;
    })


    $(".basic_two").click(function () {	   //添加种植信息
        if (!$(".basic_input").val() == "") {
            var $vegtab = $(".county_w .basic_z_w").text();
            var $areanum = $(".basic_input").val();
            var $_li = '<li><span class="basic_list_w basic_list_y basic_add">' + $vegtab + '</span><span class="basic_list_wt basic_list_y basic_price">' + $areanum + '</span></li>'
            $(".basic_list_content").append($_li);
        } else {

        }
        return false;

    })
    /*$(".n_essay_btn").click(function () {    //完善个人信息
        if (!$(".n_unit").val() == "") {
            var $veg = $(".county_w .basic_z_w").text();
            var $are = $(".n_unit").val();
            var $_li = '<span class="n_basic_title_w n_basic_content_w ">' + $veg + '</span><span class="n_basic_title_w n_basic_content_w">' + $are + '</span>'
            $(".n_basic_content").append($_li);
        } else {

        }
        return false;
    })*/



    var $daoshu = 60;	//(1号推广员)注册
    var $time = null;
    $(".member_y.fleft").click(function () {
        memb_this = $(this);
        $(this).prev("input").attr("readonly","readonly");
        $(this).hide();
        $(".member_second").show();
        $time = window.setInterval(function () {
            $daoshu--;
            $(".member_te").text($daoshu);
            if ($daoshu <= 0) {
                memb_this.prev("input").removeAttr("readonly");
                window.clearInterval($time);
                $daoshu = 60;
                $(".member_te").text(0);
                $(".member_second").hide();
                $(".member_y.fleft").show()
            }
        }, 1000)

    })
    $(".check_input").attr("checked", true);//购物车全选
    $(".check_input1").attr("checked", true);
    $(".shop_list li input").attr("checked", true);
    $(".check_input").click(function () {
        $('.shop_list_input').attr("checked", this.checked);
        $(".check_input1").attr("checked", this.checked);
        checktotal();
    });
    $(".check_input1").click(function () {
        $('.shop_list_input').attr("checked", this.checked);
        $(".check_input").attr("checked", this.checked);
        checktotal();
    });
    var $subBox = $(".shop_list_input");
    $subBox.click(function () {
        $(".check_input").attr("checked", $subBox.length == $(".shop_list_input:checked").length ? true : false);
        $(".check_input1").attr("checked", $subBox.length == $(".shop_list_input:checked").length ? true : false);
    });


    $(".information_in").click(function () {          //我的消息全选
        if ($(this).attr("checked") == "checked") {
            $(".information_list li input").attr("checked", true);
        } else {
            $(".information_list li input").attr("checked", false);
        }
    })



    $(".recharge_list li").click(function () {    //账户充值
        $(".recharge_input").attr("checked", false);
        $(this).find(".recharge_input").attr("checked", true);
        return false;
    })



    $(".x_common_list li .x_common_title").click(function () { //产品常见问题点击显示
        $this = $(this).parents("li").find(".x_common_content")
        if ($this.is(":hidden")) {
            $(".x_common_content").hide();
            $(".x_common_ico").removeClass("x_common_ico1");
            $(this).parents("li").find(".x_common_ico").addClass("x_common_ico1");
            $this.show();
        } else {
            $(".x_common_content").hide();
            $(this).parents("li").find(".x_common_ico").removeClass("x_common_ico1");
        }
    })
    $(".x_common_list li .x_common_title:eq(0)").click();



    $(".x_vhidden").hide();
    if ($(".x_video a").size() < 7) {
        $(".x_unfold_c").hide()
    }
    /*$(".x_unfold").click(function () {    //产品展开收回
     if ($(".x_video").is(":hidden")) {
     $(".x_video").show();
     $(".x_unfold").html('收回')
     $(".x_unfold").addClass("x_unfold_ico")
     } else {
     $(".x_video").hide();
     $(".x_unfold").html('展开')
     $(".x_unfold").removeClass("x_unfold_ico")

     }
     })

    $(".x_unfold").click(function(){    //产品展开收回
        if($(".x_video").height()==40){
            $(".x_video").css("height","auto");
            $(".x_unfold").html('收回')
            $(".x_unfold").addClass("x_unfold_ico")
        }else{
            $(".x_video").css("height",40);
            $(".x_unfold").html('展开')
            $(".x_unfold").removeClass("x_unfold_ico")

        }
    })*/
	
	 $(".x_unfold").click(function(){    //产品展开收回
			if($(".x_video").height()==40){
				$(".x_video").css("height","auto");
				$(".x_unfold").html('收回')
				$(".x_unfold").addClass("x_unfold_ico")
				}else{
					$(".x_video").css("height",40);
				    $(".x_unfold").html('展开')
				    $(".x_unfold").removeClass("x_unfold_ico")
					
					}
			})

	
    
	if($("#product_info").size()>0){
      var info_top = $("#product_info").offset().top;
      $(window).scroll(function () {
        
        if ($(window).scrollTop() >= $("#product_info").offset().top) {
            $("#product_info").addClass("fixed_hd");
            $("#product_info").parents(".sales_combo").find(".bd").addClass("margin_35");
        }
        if ($(window).scrollTop() < info_top) {
            $("#product_info").removeClass("fixed_hd"); 
            $("#product_info").parents(".sales_combo").find(".bd").removeClass("margin_35");
        }
        //$(".sales_combo .hd").html($(window).scrollTop()+"|"+$(".sales_combo .hd").offset().top);
      });
	}
})


 